# -*- encoding: utf-8 -*-
# stub: http_router 0.11.2 ruby lib

Gem::Specification.new do |s|
  s.name = "http_router".freeze
  s.version = "0.11.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Joshua Hull".freeze]
  s.date = "2015-07-10"
  s.description = "This library allows you to recognize and build URLs in a Rack application.".freeze
  s.email = "joshbuddy@gmail.com".freeze
  s.extra_rdoc_files = ["README.md".freeze, "LICENSE".freeze]
  s.files = [".gitignore".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "benchmarks/gen2.rb".freeze, "benchmarks/generation_bm.rb".freeze, "benchmarks/rack_mount.rb".freeze, "benchmarks/rack_recognition_bm.rb".freeze, "benchmarks/rec2.rb".freeze, "benchmarks/recognition_bm.rb".freeze, "examples/glob.ru".freeze, "examples/rack_mapper.ru".freeze, "examples/simple.ru".freeze, "examples/static/config.ru".freeze, "examples/static/favicon.ico".freeze, "examples/static/images/cat1.jpg".freeze, "examples/static/images/cat2.jpg".freeze, "examples/static/images/cat3.jpg".freeze, "examples/variable.ru".freeze, "examples/variable_with_regex.ru".freeze, "http_router.gemspec".freeze, "js/lib/http_router.coffee".freeze, "js/lib/http_router.js".freeze, "js/package.json".freeze, "js/test/test.coffee".freeze, "js/test/test.js".freeze, "lib/http_router.rb".freeze, "lib/http_router/generation_helper.rb".freeze, "lib/http_router/generator.rb".freeze, "lib/http_router/node.rb".freeze, "lib/http_router/node/abstract_request_node.rb".freeze, "lib/http_router/node/free_regex.rb".freeze, "lib/http_router/node/glob.rb".freeze, "lib/http_router/node/glob_regex.rb".freeze, "lib/http_router/node/host.rb".freeze, "lib/http_router/node/lookup.rb".freeze, "lib/http_router/node/path.rb".freeze, "lib/http_router/node/regex.rb".freeze, "lib/http_router/node/request_method.rb".freeze, "lib/http_router/node/root.rb".freeze, "lib/http_router/node/scheme.rb".freeze, "lib/http_router/node/spanning_regex.rb".freeze, "lib/http_router/node/user_agent.rb".freeze, "lib/http_router/node/variable.rb".freeze, "lib/http_router/regex_route_generation.rb".freeze, "lib/http_router/request.rb".freeze, "lib/http_router/response.rb".freeze, "lib/http_router/route.rb".freeze, "lib/http_router/route_helper.rb".freeze, "lib/http_router/util.rb".freeze, "lib/http_router/version.rb".freeze, "test/common/generate.txt".freeze, "test/common/http_recognize.txt".freeze, "test/common/recognize.txt".freeze, "test/generation.rb".freeze, "test/generic.rb".freeze, "test/helper.rb".freeze, "test/rack/test_route.rb".freeze, "test/recognition.rb".freeze, "test/test_misc.rb".freeze, "test/test_mounting.rb".freeze, "test/test_recognition.rb".freeze, "test/test_trailing_slash.rb".freeze]
  s.homepage = "http://github.com/joshbuddy/http_router".freeze
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "A kick-ass HTTP router for use in Rack".freeze
  s.test_files = ["test/common/generate.txt".freeze, "test/common/http_recognize.txt".freeze, "test/common/recognize.txt".freeze, "test/generation.rb".freeze, "test/generic.rb".freeze, "test/helper.rb".freeze, "test/rack/test_route.rb".freeze, "test/recognition.rb".freeze, "test/test_misc.rb".freeze, "test/test_mounting.rb".freeze, "test/test_recognition.rb".freeze, "test/test_trailing_slash.rb".freeze]

  s.specification_version = 3

  s.add_runtime_dependency(%q<rack>.freeze, [">= 1.0.0"])
  s.add_runtime_dependency(%q<url_mount>.freeze, ["~> 0.2.1"])
  s.add_development_dependency(%q<minitest>.freeze, ["~> 2.0.0"])
  s.add_development_dependency(%q<code_stats>.freeze, [">= 0"])
  s.add_development_dependency(%q<rake>.freeze, ["~> 0.8.7"])
  s.add_development_dependency(%q<rbench>.freeze, [">= 0"])
  s.add_development_dependency(%q<json>.freeze, [">= 0"])
  s.add_development_dependency(%q<phocus>.freeze, [">= 0"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  s.add_development_dependency(%q<thin>.freeze, ["= 1.2.8"])
end

